DADA2 denoise-paired in qiime2 (2020.10 & 2019.10)

Hi,
I was trying to do DADA2 denoising step and keep getting an error:
my scripts are
qiime tools import
–type ‘SampleData[PairedEndSequencesWithQuality]’
–input-path raw_fastq
–input-format CasavaOneEightSingleLanePerSampleDirFmt
–output-path demux-paired-end.qza

qiime demux summarize
–i-data demux-paired-end.qza
–o-visualization demux.qzv
qiime dada2 denoise-paired
–i-demultiplexed-seqs demux-paired-end.qza
–p-trim-left-f 0
–p-trim-left-r 0
–p-trunc-len-f 245
–p-trunc-len-r 245
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
–p-n-threads 0
–verbose


and error is
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpaleun27b/forward /tmp/tmpaleun27b/reverse /tmp/tmpaleun27b/output.tsv.biom /tmp/tmpaleun27b/track.tsv /tmp/tmpaleun27b/filt_f /tmp/tmpaleun27b/filt_r 245 245 0 0 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
Error: package or namespace load failed for ‘Rcpp’:
package ‘Rcpp’ was installed by an R version with different internals; it needs to be reinstalled for use with this R version
Error: package ‘Rcpp’ could not be loaded
Execution halted
Traceback (most recent call last):
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
run_commands([cmd])
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpaleun27b/forward’, ‘/tmp/tmpaleun27b/reverse’, ‘/tmp/tmpaleun27b/output.tsv.biom’, ‘/tmp/tmpaleun27b/track.tsv’, ‘/tmp/tmpaleun27b/filt_f’, ‘/tmp/tmpaleun27b/filt_r’, ‘245’, ‘245’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/decorator.py:decorator-gen-455>”, line 2, in denoise_paired
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/scebmeta/bin/miniconda3/envs/qiime20/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.


I checked this issue with other people’s issues in this forum and tried to correct (like thread and trunc length ), but didn’t work for me. My sequences are demultiplexed already and imported.
Please someone can suggest to me what could be the reason?

Thanks,
Khem

Hi @khemlalnirmalkar!

The main part of the error message is here:

You appear to have another installation of R on your machine that is configured in a way that causes it to show up in other environments, where it shouldn’t be.

Please run the following and share the results with us:

env

and

R -e ".libPaths()"

Thanks!

path of the R
R version 3.5.1 (2018-07-02) – “Feather Spray”
Copyright © 2018 The R Foundation for Statistical Computing
Platform: x86_64-conda_cos6-linux-gnu (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type ‘license()’ or ‘licence()’ for distribution details.

Natural language support but running in an English locale

R is a collaborative project with many contributors.
Type ‘contributors()’ for more information and
‘citation()’ on how to cite R or R packages in publications.

Type ‘demo()’ for some demos, ‘help()’ for on-line help, or
‘help.start()’ for an HTML browser interface to help.
Type ‘q()’ to quit R.

.libPaths()
[1] “/home/scebmeta/bin/R”
[2] “/home/scebmeta/bin/miniconda3/envs/qiime2-2019.10/lib/R/library”


Thanks,
Khem

Thanks @khemlalnirmalkar!

There is the problem. Do you have a .Rprofile in your home directory?

cat ~/.Rprofile

If so, you can edit it to remove the /home/scebmeta/bin/R line.

Thanks, I removed … now looks like this…
cat ~/.Rprofile
.libPaths( c( .libPaths())
but after running “.libPaths()”
again its showing
1] “/home/scebmeta/bin/R”
[2] “/home/scebmeta/bin/miniconda3/envs/qiime2-2019.10/lib/R/library”

later i changed the path in bashrc and .profile, .envornment file also for “~/bin/R”.
but still
“.libPaths()”
again its showing
1] “/home/scebmeta/bin/R”
[2] “/home/scebmeta/bin/miniconda3/envs/qiime2-2019.10/lib/R/library”

i guess something I am doing wrong to remove this “/home/scebmeta/bin/R” and keep coming.
Please can you suggest me, where is the mistake?
Thanks,
Khem

Hi @khemlalnirmalkar.

Did you create that .Rprofile file in the first place? If you didn’t maybe you don’t need it.

I think that is still going to mutate your R path, right?

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.